/*
 * App Global CSS
 * ----------------------------------------------------------------------------
 * Put style rules here that you want to apply globally. These styles are for
 * the entire app and not just one component. Additionally, this file can be
 * used as an entry point to import other CSS/Sass files to be included in the
 * output CSS.
 * For more information on global stylesheets, visit the documentation:
 * https://ionicframework.com/docs/layout/global-stylesheets
 */

/* Core CSS required for Ionic components to work properly */
@import '~@ionic/angular/css/core.css';

/* Basic CSS for apps built with Ionic */
@import '~@ionic/angular/css/normalize.css';
@import '~@ionic/angular/css/structure.css';
@import '~@ionic/angular/css/typography.css';
@import '~@ionic/angular/css/display.css';

/* Optional CSS utils that can be commented out */
@import '~@ionic/angular/css/padding.css';
@import '~@ionic/angular/css/float-elements.css';
@import '~@ionic/angular/css/text-alignment.css';
@import '~@ionic/angular/css/text-transformation.css';
@import '~@ionic/angular/css/flex-utils.css';

.ion-invalid.ion-touched ion-label {
  color: var(--ion-color-danger);
}

.vertical-align {
  display: flex;
  flex-direction: column;
  height: 100%;
  width: 100%;
  margin: 0px;
  align-items: center;
  justify-content: center;
}

.button-animate {
  animation: button-animation 10s infinite 5s;
  animation-timing-function: ease-in-out;
  animation-delay: 3s;
}

@keyframes button-animation {
  0% {
    transform: scale(1);
  }
  1% {
    transform: scale(1.03);
  }
  2% {
    transform: scale(1);
  }
  3% {
    transform: scale(1.03);
  }
  4%,
  100% {
    transform: scale(1);
  }
}

ion-scroll[direction='x'] {
  width: 100vw;
}
ion-scroll[direction='y'] {
  height: 100vh;
}
